Skip to main content
GET
/
api
/
v2
/
secret-scanning
/
data-sources
cURL
curl --request GET \
  --url https://us.infisical.com/api/v2/secret-scanning/data-sources
{
  "dataSources": [
    {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "name": "<string>",
      "projectId": "<string>",
      "createdAt": "2023-11-07T05:31:56Z",
      "updatedAt": "2023-11-07T05:31:56Z",
      "type": "github",
      "connectionId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "connection": {
        "app": "github-radar",
        "name": "<string>",
        "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
      },
      "config": {
        "includeRepos": [
          "*"
        ]
      },
      "externalId": "<string>",
      "description": "<string>",
      "encryptedCredentials": null,
      "isAutoScanEnabled": true,
      "isDisconnected": false
    }
  ]
}

Documentation Index

Fetch the complete documentation index at: https://infisical.com/docs/llms.txt

Use this file to discover all available pages before exploring further.

Query Parameters

projectId
string
required

The ID of the project to list Scanning Data Sources from.

Minimum string length: 1

Response

Default Response

dataSources
(GitHub · object | Bitbucket · object | GitLab · object)[]
required